#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2023-01-16
#
# include file, will be used with arista_bgp_peer and inv_arista_bgp_peer
#
#

def arista_address_type(st: str):
    names = {
        '0': 'unknown',
        '1': 'ipv4',
        '2': 'ipv6',
    }
    return names.get(st, st)


def arista_address_family(st: str):
    names = {
        '0': 'unknown',
        '1': 'ipv4',
        '2': 'ipv6',
    }
    return names.get(st, st)


def arista_afi_safi_mapping(afi: str, safi: str) -> str:
    names = {
        (1, 1): 'IPv4 unicast',
        (1, 2): 'IPv4 multicast',
        (2, 1): 'IPv6 unicast',
        (2, 2): 'IPv6 multicast',
        (1, 4): 'MPLS IPv4',
        (2, 4): 'MPLS IPv6',
    }
    return names.get((int(afi), int(safi)), f'AFI {afi} SAFI {safi}')
